[
  {
    "_id": {
      "$oid": "691162b3f0741ab7c9c06083"
    },
    "what_if": "MAINT35",
    "leg_no": 3267208,
    "leg_update_no": 0,
    "update_key": 195081187,
    "counter": 0,
    "cluster_no": null,
    "cluster_day": null,
    "fn_carrier": "10W",
    "fn_number": 0,
    "fn_suffix": "",
    "day_of_origin": {
      "$date": "2025-09-22T00:00:00Z"
    },
    "ac_owner": "CX",
    "ac_subtype": "35G",
    "ac_logical_no": 13,
    "ac_version": "STN",
    "ac_registration": "BLRM",
    "dep_ap_sched": "MAN",
    "dep_sched_dt": {
      "$date": "2025-09-22T07:00:00Z"
    },
    "arr_ap_sched": "MAN",
    "arr_sched_dt": {
      "$date": "2025-09-22T11:00:00Z"
    },
    "dep_ap_actual": "MAN",
    "dep_dt": {
      "$date": "2025-09-22T07:00:00Z"
    },
    "arr_ap_actual": "MAN",
    "arr_dt": {
      "$date": "2025-09-22T11:00:00Z"
    },
    "leg_state": "SKD",
    "leg_type": "Z",
    "problem": null,
    "employer_cockpit": null,
    "employer_cabin": null,
    "flight_tm": null,
    "cycles": null,
    "entry_dt": {
      "$date": "2025-09-19T03:43:30Z"
    },
    "entry_user": "ENGKPS",
    "marked": null,
    "prbd": null,
    "eet": null,
    "est_taxitime_out": null,
    "est_taxitime_in": null,
    "marker": null,
    "operating_carrier": "XXX",
    "commercial_carrier": null,
    "acars_state": null,
    "ldo_offset": 0,
    "acars_ni": null,
    "mvt_ni": null,
    "employer_cabin_add": null,
    "metadata": {
      "dagster_run_id": "fd7a077e-52ee-4dfc-a319-01b4dd866bb9",
      "dagster_job_name": "nlo_replica_s3_data_sync_job",
      "dagster_asset_name": "leg_serve_data_sync",
      "processed_timestamp": {
        "$date": "2025-11-10T03:57:53.585Z"
      }
    }
  },
  {
    "_id": {
      "$oid": "691162b3f0741ab7c9c06063"
    },
    "what_if": "_",
    "leg_no": 3266212,
    "leg_update_no": 14,
    "update_key": 195100372,
    "counter": 0,
    "cluster_no": null,
    "cluster_day": null,
    "fn_carrier": "10W",
    "fn_number": 0,
    "fn_suffix": "",
    "day_of_origin": {
      "$date": "2025-09-19T00:00:00Z"
    },
    "ac_owner": "CX",
    "ac_subtype": "35J",
    "ac_logical_no": 14,
    "ac_version": null,
    "ac_registration": "BLXO",
    "dep_ap_sched": "HKG",
    "dep_sched_dt": {
      "$date": "2025-09-19T21:50:00Z"
    },
    "arr_ap_sched": "HKG",
    "arr_sched_dt": {
      "$date": "2025-09-20T01:50:00Z"
    },
    "dep_ap_actual": "HKG",
    "dep_dt": {
      "$date": "2025-09-19T21:50:00Z"
    },
    "arr_ap_actual": "HKG",
    "arr_dt": {
      "$date": "2025-09-20T01:50:00Z"
    },
    "leg_state": "SKD",
    "leg_type": "Z",
    "problem": null,
    "employer_cockpit": null,
    "employer_cabin": null,
    "flight_tm": null,
    "cycles": null,
    "entry_dt": {
      "$date": "2025-09-19T01:59:22Z"
    },
    "entry_user": "CHECKIMP",
    "marked": null,
    "prbd": null,
    "eet": null,
    "est_taxitime_out": null,
    "est_taxitime_in": null,
    "marker": null,
    "operating_carrier": "XXX",
    "commercial_carrier": null,
    "acars_state": null,
    "ldo_offset": 1,
    "acars_ni": null,
    "mvt_ni": null,
    "employer_cabin_add": null,
    "metadata": {
      "dagster_run_id": "fd7a077e-52ee-4dfc-a319-01b4dd866bb9",
      "dagster_job_name": "nlo_replica_s3_data_sync_job",
      "dagster_asset_name": "leg_serve_data_sync",
      "processed_timestamp": {
        "$date": "2025-11-10T03:57:53.585Z"
      }
    }
  },
  {
    "_id": {
      "$oid": "691162b3f0741ab7c9c0603b"
    },
    "what_if": "_",
    "leg_no": 3266620,
    "leg_update_no": 5,
    "update_key": 195031021,
    "counter": 0,
    "cluster_no": null,
    "cluster_day": null,
    "fn_carrier": "10D",
    "fn_number": 0,
    "fn_suffix": "",
    "day_of_origin": {
      "$date": "2025-09-19T00:00:00Z"
    },
    "ac_owner": "CX",
    "ac_subtype": "33J",
    "ac_logical_no": 8,
    "ac_version": "STN",
    "ac_registration": "BLBJ",
    "dep_ap_sched": "HKG",
    "dep_sched_dt": {
      "$date": "2025-09-19T13:30:00Z"
    },
    "arr_ap_sched": "HKG",
    "arr_sched_dt": {
      "$date": "2025-09-19T17:30:00Z"
    },
    "dep_ap_actual": "HKG",
    "dep_dt": {
      "$date": "2025-09-19T13:30:00Z"
    },
    "arr_ap_actual": "HKG",
    "arr_dt": {
      "$date": "2025-09-19T17:30:00Z"
    },
    "leg_state": "SKD",
    "leg_type": "Z",
    "problem": null,
    "employer_cockpit": null,
    "employer_cabin": null,
    "flight_tm": null,
    "cycles": null,
    "entry_dt": {
      "$date": "2025-09-18T12:11:11Z"
    },
    "entry_user": "CHECKIMP",
    "marked": null,
    "prbd": null,
    "eet": null,
    "est_taxitime_out": null,
    "est_taxitime_in": null,
    "marker": null,
    "operating_carrier": "XXX",
    "commercial_carrier": null,
    "acars_state": null,
    "ldo_offset": 0,
    "acars_ni": null,
    "mvt_ni": null,
    "employer_cabin_add": null,
    "metadata": {
      "dagster_run_id": "fd7a077e-52ee-4dfc-a319-01b4dd866bb9",
      "dagster_job_name": "nlo_replica_s3_data_sync_job",
      "dagster_asset_name": "leg_serve_data_sync",
      "processed_timestamp": {
        "$date": "2025-11-10T03:57:53.585Z"
      }
    }
  },
  {
    "_id": {
      "$oid": "691162b3f0741ab7c9c0607e"
    },
    "what_if": "_",
    "leg_no": 3267094,
    "leg_update_no": 11,
    "update_key": 195004512,
    "counter": 0,
    "cluster_no": null,
    "cluster_day": null,
    "fn_carrier": "10W",
    "fn_number": 0,
    "fn_suffix": "",
    "day_of_origin": {
      "$date": "2025-09-22T00:00:00Z"
    },
    "ac_owner": "CX",
    "ac_subtype": "35G",
    "ac_logical_no": 27,
    "ac_version": "STN",
    "ac_registration": "BLQD",
    "dep_ap_sched": "HKG",
    "dep_sched_dt": {
      "$date": "2025-09-22T22:55:00Z"
    },
    "arr_ap_sched": "HKG",
    "arr_sched_dt": {
      "$date": "2025-09-23T02:55:00Z"
    },
    "dep_ap_actual": "HKG",
    "dep_dt": {
      "$date": "2025-09-22T22:55:00Z"
    },
    "arr_ap_actual": "HKG",
    "arr_dt": {
      "$date": "2025-09-23T02:55:00Z"
    },
    "leg_state": "SKD",
    "leg_type": "Z",
    "problem": null,
    "employer_cockpit": null,
    "employer_cabin": null,
    "flight_tm": null,
    "cycles": null,
    "entry_dt": {
      "$date": "2025-09-18T04:45:56Z"
    },
    "entry_user": "ENGKPS",
    "marked": null,
    "prbd": null,
    "eet": null,
    "est_taxitime_out": null,
    "est_taxitime_in": null,
    "marker": null,
    "operating_carrier": "XXX",
    "commercial_carrier": null,
    "acars_state": null,
    "ldo_offset": 1,
    "acars_ni": null,
    "mvt_ni": null,
    "employer_cabin_add": null,
    "metadata": {
      "dagster_run_id": "fd7a077e-52ee-4dfc-a319-01b4dd866bb9",
      "dagster_job_name": "nlo_replica_s3_data_sync_job",
      "dagster_asset_name": "leg_serve_data_sync",
      "processed_timestamp": {
        "$date": "2025-11-10T03:57:53.585Z"
      }
    }
  },
  {
    "_id": {
      "$oid": "691162b3f0741ab7c9c06069"
    },
    "what_if": "_",
    "leg_no": 3266443,
    "leg_update_no": 17,
    "update_key": 195033095,
    "counter": 0,
    "cluster_no": null,
    "cluster_day": null,
    "fn_carrier": "10W",
    "fn_number": 0,
    "fn_suffix": "",
    "day_of_origin": {
      "$date": "2025-09-20T00:00:00Z"
    },
    "ac_owner": "CX",
    "ac_subtype": "35J",
    "ac_logical_no": 12,
    "ac_version": null,
    "ac_registration": "BLXL",
    "dep_ap_sched": "HKG",
    "dep_sched_dt": {
      "$date": "2025-09-20T03:05:00Z"
    },
    "arr_ap_sched": "HKG",
    "arr_sched_dt": {
      "$date": "2025-09-20T07:05:00Z"
    },
    "dep_ap_actual": "HKG",
    "dep_dt": {
      "$date": "2025-09-20T03:05:00Z"
    },
    "arr_ap_actual": "HKG",
    "arr_dt": {
      "$date": "2025-09-20T07:05:00Z"
    },
    "leg_state": "SKD",
    "leg_type": "Z",
    "problem": null,
    "employer_cockpit": null,
    "employer_cabin": null,
    "flight_tm": null,
    "cycles": null,
    "entry_dt": {
      "$date": "2025-09-18T13:10:02Z"
    },
    "entry_user": "CHECKIMP",
    "marked": null,
    "prbd": null,
    "eet": null,
    "est_taxitime_out": null,
    "est_taxitime_in": null,
    "marker": null,
    "operating_carrier": "XXX",
    "commercial_carrier": null,
    "acars_state": null,
    "ldo_offset": 0,
    "acars_ni": null,
    "mvt_ni": null,
    "employer_cabin_add": null,
    "metadata": {
      "dagster_run_id": "fd7a077e-52ee-4dfc-a319-01b4dd866bb9",
      "dagster_job_name": "nlo_replica_s3_data_sync_job",
      "dagster_asset_name": "leg_serve_data_sync",
      "processed_timestamp": {
        "$date": "2025-11-10T03:57:53.585Z"
      }
    }
  },
  {
    "_id": {
      "$oid": "691162b3f0741ab7c9c06055"
    },
    "what_if": "_",
    "leg_no": 3270040,
    "leg_update_no": 0,
    "update_key": 195071641,
    "counter": 0,
    "cluster_no": null,
    "cluster_day": null,
    "fn_carrier": "10D",
    "fn_number": 0,
    "fn_suffix": "",
    "day_of_origin": {
      "$date": "2025-09-24T00:00:00Z"
    },
    "ac_owner": "CX",
    "ac_subtype": "33P",
    "ac_logical_no": 13,
    "ac_version": "STN",
    "ac_registration": "BHLV",
    "dep_ap_sched": "HKG",
    "dep_sched_dt": {
      "$date": "2025-09-24T15:15:00Z"
    },
    "arr_ap_sched": "HKG",
    "arr_sched_dt": {
      "$date": "2025-09-24T19:15:00Z"
    },
    "dep_ap_actual": "HKG",
    "dep_dt": {
      "$date": "2025-09-24T15:15:00Z"
    },
    "arr_ap_actual": "HKG",
    "arr_dt": {
      "$date": "2025-09-24T19:15:00Z"
    },
    "leg_state": "SKD",
    "leg_type": "Z",
    "problem": null,
    "employer_cockpit": null,
    "employer_cabin": null,
    "flight_tm": null,
    "cycles": null,
    "entry_dt": {
      "$date": "2025-09-18T19:57:07Z"
    },
    "entry_user": "CHECKIMP",
    "marked": null,
    "prbd": null,
    "eet": null,
    "est_taxitime_out": null,
    "est_taxitime_in": null,
    "marker": null,
    "operating_carrier": "XXX",
    "commercial_carrier": null,
    "acars_state": null,
    "ldo_offset": 0,
    "acars_ni": null,
    "mvt_ni": null,
    "employer_cabin_add": null,
    "metadata": {
      "dagster_run_id": "fd7a077e-52ee-4dfc-a319-01b4dd866bb9",
      "dagster_job_name": "nlo_replica_s3_data_sync_job",
      "dagster_asset_name": "leg_serve_data_sync",
      "processed_timestamp": {
        "$date": "2025-11-10T03:57:53.585Z"
      }
    }
  },
  {
    "_id": {
      "$oid": "691162b3f0741ab7c9c06084"
    },
    "what_if": "MAINT35",
    "leg_no": 3266590,
    "leg_update_no": 0,
    "update_key": 195054400,
    "counter": 0,
    "cluster_no": null,
    "cluster_day": null,
    "fn_carrier": "10W",
    "fn_number": 0,
    "fn_suffix": "",
    "day_of_origin": {
      "$date": "2025-09-22T00:00:00Z"
    },
    "ac_owner": "CX",
    "ac_subtype": "35J",
    "ac_logical_no": 18,
    "ac_version": "STN",
    "ac_registration": "BLXR",
    "dep_ap_sched": "HKG",
    "dep_sched_dt": {
      "$date": "2025-09-22T03:15:00Z"
    },
    "arr_ap_sched": "HKG",
    "arr_sched_dt": {
      "$date": "2025-09-22T07:15:00Z"
    },
    "dep_ap_actual": "HKG",
    "dep_dt": {
      "$date": "2025-09-22T03:15:00Z"
    },
    "arr_ap_actual": "HKG",
    "arr_dt": {
      "$date": "2025-09-22T07:15:00Z"
    },
    "leg_state": "SKD",
    "leg_type": "Z",
    "problem": null,
    "employer_cockpit": null,
    "employer_cabin": null,
    "flight_tm": null,
    "cycles": null,
    "entry_dt": {
      "$date": "2025-09-19T03:43:30Z"
    },
    "entry_user": "ENGKPS",
    "marked": null,
    "prbd": null,
    "eet": null,
    "est_taxitime_out": null,
    "est_taxitime_in": null,
    "marker": null,
    "operating_carrier": "XXX",
    "commercial_carrier": null,
    "acars_state": null,
    "ldo_offset": 0,
    "acars_ni": null,
    "mvt_ni": null,
    "employer_cabin_add": null,
    "metadata": {
      "dagster_run_id": "fd7a077e-52ee-4dfc-a319-01b4dd866bb9",
      "dagster_job_name": "nlo_replica_s3_data_sync_job",
      "dagster_asset_name": "leg_serve_data_sync",
      "processed_timestamp": {
        "$date": "2025-11-10T03:57:53.585Z"
      }
    }
  },
  {
    "_id": {
      "$oid": "691162b3f0741ab7c9c06034"
    },
    "what_if": "_",
    "leg_no": 3264997,
    "leg_update_no": 11,
    "update_key": 195040058,
    "counter": 0,
    "cluster_no": null,
    "cluster_day": null,
    "fn_carrier": "10D",
    "fn_number": 0,
    "fn_suffix": "",
    "day_of_origin": {
      "$date": "2025-09-18T00:00:00Z"
    },
    "ac_owner": "CX",
    "ac_subtype": "33A",
    "ac_logical_no": 1,
    "ac_version": "STN",
    "ac_registration": "BHYQ",
    "dep_ap_sched": "HKG",
    "dep_sched_dt": {
      "$date": "2025-09-18T18:35:00Z"
    },
    "arr_ap_sched": "HKG",
    "arr_sched_dt": {
      "$date": "2025-09-18T22:35:00Z"
    },
    "dep_ap_actual": "HKG",
    "dep_dt": {
      "$date": "2025-09-18T18:35:00Z"
    },
    "arr_ap_actual": "HKG",
    "arr_dt": {
      "$date": "2025-09-18T22:35:00Z"
    },
    "leg_state": "SKD",
    "leg_type": "Z",
    "problem": null,
    "employer_cockpit": null,
    "employer_cabin": null,
    "flight_tm": null,
    "cycles": null,
    "entry_dt": {
      "$date": "2025-09-18T14:04:13Z"
    },
    "entry_user": "ENGYYK",
    "marked": null,
    "prbd": null,
    "eet": null,
    "est_taxitime_out": null,
    "est_taxitime_in": null,
    "marker": null,
    "operating_carrier": "XXX",
    "commercial_carrier": null,
    "acars_state": null,
    "ldo_offset": 0,
    "acars_ni": null,
    "mvt_ni": null,
    "employer_cabin_add": null,
    "metadata": {
      "dagster_run_id": "fd7a077e-52ee-4dfc-a319-01b4dd866bb9",
      "dagster_job_name": "nlo_replica_s3_data_sync_job",
      "dagster_asset_name": "leg_serve_data_sync",
      "processed_timestamp": {
        "$date": "2025-11-10T03:57:53.585Z"
      }
    }
  },
  {
    "_id": {
      "$oid": "691162b3f0741ab7c9c06068"
    },
    "what_if": "_",
    "leg_no": 3266401,
    "leg_update_no": 21,
    "update_key": 195096487,
    "counter": 0,
    "cluster_no": null,
    "cluster_day": null,
    "fn_carrier": "10W",
    "fn_number": 0,
    "fn_suffix": "",
    "day_of_origin": {
      "$date": "2025-09-20T00:00:00Z"
    },
    "ac_owner": "CX",
    "ac_subtype": "35J",
    "ac_logical_no": 2,
    "ac_version": null,
    "ac_registration": "BLXB",
    "dep_ap_sched": "HKG",
    "dep_sched_dt": {
      "$date": "2025-09-20T14:56:00Z"
    },
    "arr_ap_sched": "HKG",
    "arr_sched_dt": {
      "$date": "2025-09-20T18:56:00Z"
    },
    "dep_ap_actual": "HKG",
    "dep_dt": {
      "$date": "2025-09-20T14:56:00Z"
    },
    "arr_ap_actual": "HKG",
    "arr_dt": {
      "$date": "2025-09-20T18:56:00Z"
    },
    "leg_state": "SKD",
    "leg_type": "Z",
    "problem": null,
    "employer_cockpit": null,
    "employer_cabin": null,
    "flight_tm": null,
    "cycles": null,
    "entry_dt": {
      "$date": "2025-09-19T01:04:12Z"
    },
    "entry_user": "CHECKIMP",
    "marked": null,
    "prbd": null,
    "eet": null,
    "est_taxitime_out": null,
    "est_taxitime_in": null,
    "marker": null,
    "operating_carrier": "XXX",
    "commercial_carrier": null,
    "acars_state": null,
    "ldo_offset": 0,
    "acars_ni": null,
    "mvt_ni": null,
    "employer_cabin_add": null,
    "metadata": {
      "dagster_run_id": "fd7a077e-52ee-4dfc-a319-01b4dd866bb9",
      "dagster_job_name": "nlo_replica_s3_data_sync_job",
      "dagster_asset_name": "leg_serve_data_sync",
      "processed_timestamp": {
        "$date": "2025-11-10T03:57:53.585Z"
      }
    }
  },
  {
    "_id": {
      "$oid": "691162b3f0741ab7c9c0603e"
    },
    "what_if": "_",
    "leg_no": 3266894,
    "leg_update_no": 0,
    "update_key": 194572464,
    "counter": 0,
    "cluster_no": null,
    "cluster_day": null,
    "fn_carrier": "10D",
    "fn_number": 0,
    "fn_suffix": "",
    "day_of_origin": {
      "$date": "2025-09-20T00:00:00Z"
    },
    "ac_owner": "CX",
    "ac_subtype": "33P",
    "ac_logical_no": 14,
    "ac_version": "STN",
    "ac_registration": "BLBG",
    "dep_ap_sched": "HKG",
    "dep_sched_dt": {
      "$date": "2025-09-20T09:00:00Z"
    },
    "arr_ap_sched": "HKG",
    "arr_sched_dt": {
      "$date": "2025-09-20T13:00:00Z"
    },
    "dep_ap_actual": "HKG",
    "dep_dt": {
      "$date": "2025-09-20T09:00:00Z"
    },
    "arr_ap_actual": "HKG",
    "arr_dt": {
      "$date": "2025-09-20T13:00:00Z"
    },
    "leg_state": "SKD",
    "leg_type": "Z",
    "problem": null,
    "employer_cockpit": null,
    "employer_cabin": null,
    "flight_tm": null,
    "cycles": null,
    "entry_dt": {
      "$date": "2025-09-14T05:16:11Z"
    },
    "entry_user": "CHECKIMP",
    "marked": null,
    "prbd": null,
    "eet": null,
    "est_taxitime_out": null,
    "est_taxitime_in": null,
    "marker": null,
    "operating_carrier": "XXX",
    "commercial_carrier": null,
    "acars_state": null,
    "ldo_offset": 0,
    "acars_ni": null,
    "mvt_ni": null,
    "employer_cabin_add": null,
    "metadata": {
      "dagster_run_id": "fd7a077e-52ee-4dfc-a319-01b4dd866bb9",
      "dagster_job_name": "nlo_replica_s3_data_sync_job",
      "dagster_asset_name": "leg_serve_data_sync",
      "processed_timestamp": {
        "$date": "2025-11-10T03:57:53.585Z"
      }
    }
  },
  {
    "_id": {
      "$oid": "691162b3f0741ab7c9c0607d"
    },
    "what_if": "_",
    "leg_no": 3266913,
    "leg_update_no": 10,
    "update_key": 195080683,
    "counter": 0,
    "cluster_no": null,
    "cluster_day": null,
    "fn_carrier": "10W",
    "fn_number": 0,
    "fn_suffix": "",
    "day_of_origin": {
      "$date": "2025-09-22T00:00:00Z"
    },
    "ac_owner": "CX",
    "ac_subtype": "35G",
    "ac_logical_no": 24,
    "ac_version": null,
    "ac_registration": "BLRX",
    "dep_ap_sched": "HKG",
    "dep_sched_dt": {
      "$date": "2025-09-22T08:25:00Z"
    },
    "arr_ap_sched": "HKG",
    "arr_sched_dt": {
      "$date": "2025-09-22T12:25:00Z"
    },
    "dep_ap_actual": "HKG",
    "dep_dt": {
      "$date": "2025-09-22T08:25:00Z"
    },
    "arr_ap_actual": "HKG",
    "arr_dt": {
      "$date": "2025-09-22T12:25:00Z"
    },
    "leg_state": "SKD",
    "leg_type": "Z",
    "problem": null,
    "employer_cockpit": null,
    "employer_cabin": null,
    "flight_tm": null,
    "cycles": null,
    "entry_dt": {
      "$date": "2025-09-18T21:29:05Z"
    },
    "entry_user": "CHECKIMP",
    "marked": null,
    "prbd": null,
    "eet": null,
    "est_taxitime_out": null,
    "est_taxitime_in": null,
    "marker": null,
    "operating_carrier": "XXX",
    "commercial_carrier": null,
    "acars_state": null,
    "ldo_offset": 0,
    "acars_ni": null,
    "mvt_ni": null,
    "employer_cabin_add": null,
    "metadata": {
      "dagster_run_id": "fd7a077e-52ee-4dfc-a319-01b4dd866bb9",
      "dagster_job_name": "nlo_replica_s3_data_sync_job",
      "dagster_asset_name": "leg_serve_data_sync",
      "processed_timestamp": {
        "$date": "2025-11-10T03:57:53.585Z"
      }
    }
  },
  {
    "_id": {
      "$oid": "691162b3f0741ab7c9c0606b"
    },
    "what_if": "_",
    "leg_no": 3266941,
    "leg_update_no": 8,
    "update_key": 195068307,
    "counter": 0,
    "cluster_no": null,
    "cluster_day": null,
    "fn_carrier": "10W",
    "fn_number": 0,
    "fn_suffix": "",
    "day_of_origin": {
      "$date": "2025-09-20T00:00:00Z"
    },
    "ac_owner": "CX",
    "ac_subtype": "35J",
    "ac_logical_no": 16,
    "ac_version": "STN",
    "ac_registration": "BLXP",
    "dep_ap_sched": "YYZ",
    "dep_sched_dt": {
      "$date": "2025-09-20T10:10:00Z"
    },
    "arr_ap_sched": "YYZ",
    "arr_sched_dt": {
      "$date": "2025-09-20T14:10:00Z"
    },
    "dep_ap_actual": "YYZ",
    "dep_dt": {
      "$date": "2025-09-20T10:10:00Z"
    },
    "arr_ap_actual": "YYZ",
    "arr_dt": {
      "$date": "2025-09-20T14:10:00Z"
    },
    "leg_state": "SKD",
    "leg_type": "Z",
    "problem": null,
    "employer_cockpit": null,
    "employer_cabin": null,
    "flight_tm": null,
    "cycles": null,
    "entry_dt": {
      "$date": "2025-09-18T17:05:15Z"
    },
    "entry_user": "CHECKIMP",
    "marked": null,
    "prbd": null,
    "eet": null,
    "est_taxitime_out": null,
    "est_taxitime_in": null,
    "marker": null,
    "operating_carrier": "XXX",
    "commercial_carrier": null,
    "acars_state": null,
    "ldo_offset": 0,
    "acars_ni": null,
    "mvt_ni": null,
    "employer_cabin_add": null,
    "metadata": {
      "dagster_run_id": "fd7a077e-52ee-4dfc-a319-01b4dd866bb9",
      "dagster_job_name": "nlo_replica_s3_data_sync_job",
      "dagster_asset_name": "leg_serve_data_sync",
      "processed_timestamp": {
        "$date": "2025-11-10T03:57:53.585Z"
      }
    }
  },
  {
    "_id": {
      "$oid": "691162b3f0741ab7c9c06051"
    },
    "what_if": "_",
    "leg_no": 3267940,
    "leg_update_no": 0,
    "update_key": 194909055,
    "counter": 0,
    "cluster_no": null,
    "cluster_day": null,
    "fn_carrier": "10D",
    "fn_number": 0,
    "fn_suffix": "",
    "day_of_origin": {
      "$date": "2025-09-23T00:00:00Z"
    },
    "ac_owner": "CX",
    "ac_subtype": "33A",
    "ac_logical_no": 2,
    "ac_version": "STN",
    "ac_registration": "BHYJ",
    "dep_ap_sched": "HKG",
    "dep_sched_dt": {
      "$date": "2025-09-23T02:05:00Z"
    },
    "arr_ap_sched": "HKG",
    "arr_sched_dt": {
      "$date": "2025-09-23T06:05:00Z"
    },
    "dep_ap_actual": "HKG",
    "dep_dt": {
      "$date": "2025-09-23T02:05:00Z"
    },
    "arr_ap_actual": "HKG",
    "arr_dt": {
      "$date": "2025-09-23T06:05:00Z"
    },
    "leg_state": "SKD",
    "leg_type": "Z",
    "problem": null,
    "employer_cockpit": null,
    "employer_cabin": null,
    "flight_tm": null,
    "cycles": null,
    "entry_dt": {
      "$date": "2025-09-17T06:39:06Z"
    },
    "entry_user": "CHECKIMP",
    "marked": null,
    "prbd": null,
    "eet": null,
    "est_taxitime_out": null,
    "est_taxitime_in": null,
    "marker": null,
    "operating_carrier": "XXX",
    "commercial_carrier": null,
    "acars_state": null,
    "ldo_offset": 0,
    "acars_ni": null,
    "mvt_ni": null,
    "employer_cabin_add": null,
    "metadata": {
      "dagster_run_id": "fd7a077e-52ee-4dfc-a319-01b4dd866bb9",
      "dagster_job_name": "nlo_replica_s3_data_sync_job",
      "dagster_asset_name": "leg_serve_data_sync",
      "processed_timestamp": {
        "$date": "2025-11-10T03:57:53.585Z"
      }
    }
  },
  {
    "_id": {
      "$oid": "691162b3f0741ab7c9c06080"
    },
    "what_if": "_",
    "leg_no": 3267331,
    "leg_update_no": 8,
    "update_key": 195112008,
    "counter": 0,
    "cluster_no": null,
    "cluster_day": null,
    "fn_carrier": "10W",
    "fn_number": 0,
    "fn_suffix": "",
    "day_of_origin": {
      "$date": "2025-09-22T00:00:00Z"
    },
    "ac_owner": "CX",
    "ac_subtype": "35G",
    "ac_logical_no": 25,
    "ac_version": "STN",
    "ac_registration": "BLQA",
    "dep_ap_sched": "SFO",
    "dep_sched_dt": {
      "$date": "2025-09-22T01:10:00Z"
    },
    "arr_ap_sched": "SFO",
    "arr_sched_dt": {
      "$date": "2025-09-22T05:10:00Z"
    },
    "dep_ap_actual": "SFO",
    "dep_dt": {
      "$date": "2025-09-22T01:10:00Z"
    },
    "arr_ap_actual": "SFO",
    "arr_dt": {
      "$date": "2025-09-22T05:10:00Z"
    },
    "leg_state": "SKD",
    "leg_type": "Z",
    "problem": null,
    "employer_cockpit": null,
    "employer_cabin": null,
    "flight_tm": null,
    "cycles": null,
    "entry_dt": {
      "$date": "2025-09-19T03:40:12Z"
    },
    "entry_user": "CHECKIMP",
    "marked": null,
    "prbd": null,
    "eet": null,
    "est_taxitime_out": null,
    "est_taxitime_in": null,
    "marker": null,
    "operating_carrier": "XXX",
    "commercial_carrier": null,
    "acars_state": null,
    "ldo_offset": -1,
    "acars_ni": null,
    "mvt_ni": null,
    "employer_cabin_add": null,
    "metadata": {
      "dagster_run_id": "fd7a077e-52ee-4dfc-a319-01b4dd866bb9",
      "dagster_job_name": "nlo_replica_s3_data_sync_job",
      "dagster_asset_name": "leg_serve_data_sync",
      "processed_timestamp": {
        "$date": "2025-11-10T03:57:53.585Z"
      }
    }
  },
  {
    "_id": {
      "$oid": "691162b3f0741ab7c9c06036"
    },
    "what_if": "_",
    "leg_no": 3265000,
    "leg_update_no": 3,
    "update_key": 195052329,
    "counter": 0,
    "cluster_no": null,
    "cluster_day": null,
    "fn_carrier": "10D",
    "fn_number": 0,
    "fn_suffix": "",
    "day_of_origin": {
      "$date": "2025-09-18T00:00:00Z"
    },
    "ac_owner": "CX",
    "ac_subtype": "33B",
    "ac_logical_no": 5,
    "ac_version": null,
    "ac_registration": "BHWM",
    "dep_ap_sched": "HKG",
    "dep_sched_dt": {
      "$date": "2025-09-18T03:30:00Z"
    },
    "arr_ap_sched": "HKG",
    "arr_sched_dt": {
      "$date": "2025-09-18T07:30:00Z"
    },
    "dep_ap_actual": "HKG",
    "dep_dt": {
      "$date": "2025-09-18T03:30:00Z"
    },
    "arr_ap_actual": "HKG",
    "arr_dt": {
      "$date": "2025-09-18T07:30:00Z"
    },
    "leg_state": "ARR",
    "leg_type": "Z",
    "problem": "C/O",
    "employer_cockpit": null,
    "employer_cabin": null,
    "flight_tm": null,
    "cycles": null,
    "entry_dt": {
      "$date": "2025-09-18T15:00:21Z"
    },
    "entry_user": "ENGYYK",
    "marked": null,
    "prbd": null,
    "eet": null,
    "est_taxitime_out": null,
    "est_taxitime_in": null,
    "marker": null,
    "operating_carrier": "XXX",
    "commercial_carrier": null,
    "acars_state": null,
    "ldo_offset": 0,
    "acars_ni": null,
    "mvt_ni": null,
    "employer_cabin_add": null,
    "metadata": {
      "dagster_run_id": "fd7a077e-52ee-4dfc-a319-01b4dd866bb9",
      "dagster_job_name": "nlo_replica_s3_data_sync_job",
      "dagster_asset_name": "leg_serve_data_sync",
      "processed_timestamp": {
        "$date": "2025-11-10T03:57:53.585Z"
      }
    }
  },
  {
    "_id": {
      "$oid": "691162b3f0741ab7c9c0605b"
    },
    "what_if": "_",
    "leg_no": 3261390,
    "leg_update_no": 1,
    "update_key": 194568228,
    "counter": 0,
    "cluster_no": null,
    "cluster_day": null,
    "fn_carrier": "10D",
    "fn_number": 0,
    "fn_suffix": "",
    "day_of_origin": {
      "$date": "2025-09-26T00:00:00Z"
    },
    "ac_owner": "CX",
    "ac_subtype": "33P",
    "ac_logical_no": 3,
    "ac_version": "STN",
    "ac_registration": "BHLM",
    "dep_ap_sched": "HKG",
    "dep_sched_dt": {
      "$date": "2025-09-26T01:45:00Z"
    },
    "arr_ap_sched": "HKG",
    "arr_sched_dt": {
      "$date": "2025-09-26T05:45:00Z"
    },
    "dep_ap_actual": "HKG",
    "dep_dt": {
      "$date": "2025-09-26T01:45:00Z"
    },
    "arr_ap_actual": "HKG",
    "arr_dt": {
      "$date": "2025-09-26T05:45:00Z"
    },
    "leg_state": "SKD",
    "leg_type": "Z",
    "problem": null,
    "employer_cockpit": null,
    "employer_cabin": null,
    "flight_tm": 0.0,
    "cycles": 0.0,
    "entry_dt": {
      "$date": "2025-09-14T03:50:10Z"
    },
    "entry_user": "ENGSESC",
    "marked": null,
    "prbd": null,
    "eet": null,
    "est_taxitime_out": null,
    "est_taxitime_in": null,
    "marker": null,
    "operating_carrier": "XXX",
    "commercial_carrier": null,
    "acars_state": null,
    "ldo_offset": 0,
    "acars_ni": null,
    "mvt_ni": null,
    "employer_cabin_add": null,
    "metadata": {
      "dagster_run_id": "fd7a077e-52ee-4dfc-a319-01b4dd866bb9",
      "dagster_job_name": "nlo_replica_s3_data_sync_job",
      "dagster_asset_name": "leg_serve_data_sync",
      "processed_timestamp": {
        "$date": "2025-11-10T03:57:53.585Z"
      }
    }
  },
  {
    "_id": {
      "$oid": "691162b3f0741ab7c9c06032"
    },
    "what_if": "_",
    "leg_no": 3265803,
    "leg_update_no": 8,
    "update_key": 195027274,
    "counter": 0,
    "cluster_no": null,
    "cluster_day": null,
    "fn_carrier": "10D",
    "fn_number": 0,
    "fn_suffix": "",
    "day_of_origin": {
      "$date": "2025-09-18T00:00:00Z"
    },
    "ac_owner": "CX",
    "ac_subtype": "33P",
    "ac_logical_no": 2,
    "ac_version": "STN",
    "ac_registration": "BHLN",
    "dep_ap_sched": "HKG",
    "dep_sched_dt": {
      "$date": "2025-09-18T03:00:00Z"
    },
    "arr_ap_sched": "HKG",
    "arr_sched_dt": {
      "$date": "2025-09-18T07:00:00Z"
    },
    "dep_ap_actual": "HKG",
    "dep_dt": {
      "$date": "2025-09-18T03:00:00Z"
    },
    "arr_ap_actual": "HKG",
    "arr_dt": {
      "$date": "2025-09-18T07:00:00Z"
    },
    "leg_state": "ARR",
    "leg_type": "Z",
    "problem": "C/O",
    "employer_cockpit": null,
    "employer_cabin": null,
    "flight_tm": null,
    "cycles": null,
    "entry_dt": {
      "$date": "2025-09-18T10:46:10Z"
    },
    "entry_user": "ENGLLL",
    "marked": null,
    "prbd": null,
    "eet": null,
    "est_taxitime_out": null,
    "est_taxitime_in": null,
    "marker": null,
    "operating_carrier": "XXX",
    "commercial_carrier": null,
    "acars_state": null,
    "ldo_offset": 0,
    "acars_ni": null,
    "mvt_ni": null,
    "employer_cabin_add": null,
    "metadata": {
      "dagster_run_id": "fd7a077e-52ee-4dfc-a319-01b4dd866bb9",
      "dagster_job_name": "nlo_replica_s3_data_sync_job",
      "dagster_asset_name": "leg_serve_data_sync",
      "processed_timestamp": {
        "$date": "2025-11-10T03:57:53.585Z"
      }
    }
  },
  {
    "_id": {
      "$oid": "691162b3f0741ab7c9c06035"
    },
    "what_if": "_",
    "leg_no": 3266407,
    "leg_update_no": 3,
    "update_key": 195040497,
    "counter": 0,
    "cluster_no": null,
    "cluster_day": null,
    "fn_carrier": "10D",
    "fn_number": 0,
    "fn_suffix": "",
    "day_of_origin": {
      "$date": "2025-09-18T00:00:00Z"
    },
    "ac_owner": "CX",
    "ac_subtype": "33B",
    "ac_logical_no": 2,
    "ac_version": "STN",
    "ac_registration": "BLAB",
    "dep_ap_sched": "HKG",
    "dep_sched_dt": {
      "$date": "2025-09-18T15:55:00Z"
    },
    "arr_ap_sched": "HKG",
    "arr_sched_dt": {
      "$date": "2025-09-18T19:55:00Z"
    },
    "dep_ap_actual": "HKG",
    "dep_dt": {
      "$date": "2025-09-18T15:55:00Z"
    },
    "arr_ap_actual": "HKG",
    "arr_dt": {
      "$date": "2025-09-18T19:55:00Z"
    },
    "leg_state": "SKD",
    "leg_type": "Z",
    "problem": null,
    "employer_cockpit": null,
    "employer_cabin": null,
    "flight_tm": null,
    "cycles": null,
    "entry_dt": {
      "$date": "2025-09-18T14:06:28Z"
    },
    "entry_user": "CHECKIMP",
    "marked": null,
    "prbd": null,
    "eet": null,
    "est_taxitime_out": null,
    "est_taxitime_in": null,
    "marker": null,
    "operating_carrier": "XXX",
    "commercial_carrier": null,
    "acars_state": null,
    "ldo_offset": 0,
    "acars_ni": null,
    "mvt_ni": null,
    "employer_cabin_add": null,
    "metadata": {
      "dagster_run_id": "fd7a077e-52ee-4dfc-a319-01b4dd866bb9",
      "dagster_job_name": "nlo_replica_s3_data_sync_job",
      "dagster_asset_name": "leg_serve_data_sync",
      "processed_timestamp": {
        "$date": "2025-11-10T03:57:53.585Z"
      }
    }
  },
  {
    "_id": {
      "$oid": "691162b3f0741ab7c9c0604a"
    },
    "what_if": "_",
    "leg_no": 3268131,
    "leg_update_no": 0,
    "update_key": 194968972,
    "counter": 0,
    "cluster_no": null,
    "cluster_day": null,
    "fn_carrier": "10D",
    "fn_number": 0,
    "fn_suffix": "",
    "day_of_origin": {
      "$date": "2025-09-22T00:00:00Z"
    },
    "ac_owner": "CX",
    "ac_subtype": "33P",
    "ac_logical_no": 9,
    "ac_version": "STN",
    "ac_registration": "BLBH",
    "dep_ap_sched": "HKG",
    "dep_sched_dt": {
      "$date": "2025-09-22T13:30:00Z"
    },
    "arr_ap_sched": "HKG",
    "arr_sched_dt": {
      "$date": "2025-09-22T17:30:00Z"
    },
    "dep_ap_actual": "HKG",
    "dep_dt": {
      "$date": "2025-09-22T13:30:00Z"
    },
    "arr_ap_actual": "HKG",
    "arr_dt": {
      "$date": "2025-09-22T17:30:00Z"
    },
    "leg_state": "SKD",
    "leg_type": "Z",
    "problem": null,
    "employer_cockpit": null,
    "employer_cabin": null,
    "flight_tm": null,
    "cycles": null,
    "entry_dt": {
      "$date": "2025-09-17T21:14:00Z"
    },
    "entry_user": "CHECKIMP",
    "marked": null,
    "prbd": null,
    "eet": null,
    "est_taxitime_out": null,
    "est_taxitime_in": null,
    "marker": null,
    "operating_carrier": "XXX",
    "commercial_carrier": null,
    "acars_state": null,
    "ldo_offset": 0,
    "acars_ni": null,
    "mvt_ni": null,
    "employer_cabin_add": null,
    "metadata": {
      "dagster_run_id": "fd7a077e-52ee-4dfc-a319-01b4dd866bb9",
      "dagster_job_name": "nlo_replica_s3_data_sync_job",
      "dagster_asset_name": "leg_serve_data_sync",
      "processed_timestamp": {
        "$date": "2025-11-10T03:57:53.585Z"
      }
    }
  },
  {
    "_id": {
      "$oid": "691162b3f0741ab7c9c06070"
    },
    "what_if": "_",
    "leg_no": 3266528,
    "leg_update_no": 7,
    "update_key": 195049947,
    "counter": 0,
    "cluster_no": null,
    "cluster_day": null,
    "fn_carrier": "10W",
    "fn_number": 0,
    "fn_suffix": "",
    "day_of_origin": {
      "$date": "2025-09-21T00:00:00Z"
    },
    "ac_owner": "CX",
    "ac_subtype": "35G",
    "ac_logical_no": 2,
    "ac_version": null,
    "ac_registration": "BLRB",
    "dep_ap_sched": "LHR",
    "dep_sched_dt": {
      "$date": "2025-09-21T05:15:00Z"
    },
    "arr_ap_sched": "LHR",
    "arr_sched_dt": {
      "$date": "2025-09-21T09:15:00Z"
    },
    "dep_ap_actual": "LHR",
    "dep_dt": {
      "$date": "2025-09-21T05:15:00Z"
    },
    "arr_ap_actual": "LHR",
    "arr_dt": {
      "$date": "2025-09-21T09:15:00Z"
    },
    "leg_state": "SKD",
    "leg_type": "Z",
    "problem": null,
    "employer_cockpit": null,
    "employer_cabin": null,
    "flight_tm": null,
    "cycles": null,
    "entry_dt": {
      "$date": "2025-09-18T14:51:05Z"
    },
    "entry_user": "CHECKIMP",
    "marked": null,
    "prbd": null,
    "eet": null,
    "est_taxitime_out": null,
    "est_taxitime_in": null,
    "marker": null,
    "operating_carrier": "XXX",
    "commercial_carrier": null,
    "acars_state": null,
    "ldo_offset": 0,
    "acars_ni": null,
    "mvt_ni": null,
    "employer_cabin_add": null,
    "metadata": {
      "dagster_run_id": "fd7a077e-52ee-4dfc-a319-01b4dd866bb9",
      "dagster_job_name": "nlo_replica_s3_data_sync_job",
      "dagster_asset_name": "leg_serve_data_sync",
      "processed_timestamp": {
        "$date": "2025-11-10T03:57:53.585Z"
      }
    }
  }
]